[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85DecoderStream.Read

Read data from stream

## Declaration

Source position: ascii85.pp line 70

`public function TASCII85DecoderStream.Read(`
`var aBuffer;`
`aCount: LongInt`
`):LongInt; override;`

## Arguments

`aBuffer` |  | Buffer to transfer data to
`aCount` |  | Number of bytes to transfer to buffer

## Function result

Actual number of bytes transferred to buffer.

## Description

Read attempts to read aCount bytes from the stream and places them in aBuffer. It reads only as much data as is available. The actual number of read bytes is returned.

The read method reads as much data from the input stream as needed to get to aCount bytes, in general this will be aCount*5/4 bytes.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .